summaryrefslogtreecommitdiff
path: root/kent_student_lookup
diff options
context:
space:
mode:
authorOlivier Gayot <duskcoder@gmail.com>2014-11-07 17:56:09 +0000
committerOlivier Gayot <duskcoder@gmail.com>2014-11-07 17:56:09 +0000
commit251f92ddf6898c5d268b504883a3da0d49930c51 (patch)
tree312894392bbce519d5a5ba89122b0ecc2fd602ce /kent_student_lookup
kent_student_lookup
First release
Diffstat (limited to 'kent_student_lookup')
-rwxr-xr-xkent_student_lookup24
1 files changed, 24 insertions, 0 deletions
diff --git a/kent_student_lookup b/kent_student_lookup
new file mode 100755
index 0000000..49315a5
--- /dev/null
+++ b/kent_student_lookup
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+## Copyright (C) 2014 Olivier Gayot
+##
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License along
+## with this program; if not, write to the Free Software Foundation, Inc.,
+## 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+if [ $# -ne 1 ]; then
+ echo "One argument required";
+ exit 1;
+fi;
+
+ldapsearch -h ldap.id -x "(|(sn=$1)(uid=$1))" -b ou=students,o=kent.ac.uk,o=uni